/**
 * Arduino Uno - NeoPixel Simple
 * v. 1.0
 * Copyright (C) 2015 Robert Ulbricht
 * see <http://www.arduinoslovakia.eu>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <Adafruit_NeoPixel.h>

// Which pin on the Arduino is connected to the NeoPixels?
#define PIN            6

// How many NeoPixels are attached to the Arduino?
#define NUMPIXELS      8

// When we setup the NeoPixel library, we tell it how many pixels, and which pin to use to send signals.
// Note that for older NeoPixel strips you might need to change the third parameter--see the strandtest
// example for more information on possible values.
Adafruit_NeoPixel pixels = Adafruit_NeoPixel(NUMPIXELS, PIN, NEO_GRB + NEO_KHZ800);

int delayval = 100; // delay for half a second
int state = 0;

void setup()
{
pixels.begin(); // This initializes the NeoPixel library.
}

void loop()
{
int intensity;
for(int i=0;i<NUMPIXELS;i++)
  {
  // pixels.Color takes RGB values, from 0,0,0 up to 255,255,255
  switch(state)
    {
    case 0: // red
      intensity=5;
      pixels.setPixelColor(i, pixels.Color(intensity*i+intensity,0,0));
      break;
    case 1: // green
      intensity=5;
      pixels.setPixelColor(i, pixels.Color(0,intensity*i+intensity,0));
      break;
    case 2: // blue
      intensity=5;
      pixels.setPixelColor(i, pixels.Color(0,0,intensity*i+intensity)); 
      break;
    case 3: // white
      intensity=5;
      pixels.setPixelColor(i, pixels.Color(intensity*i+intensity,intensity*i+intensity,intensity*i+intensity));
      break;

    case 4: // red
      intensity=10;
      pixels.setPixelColor(i, pixels.Color(intensity*i+intensity,0,0));
      break;
    case 5: // green
      intensity=10;
      pixels.setPixelColor(i, pixels.Color(0,intensity*i+intensity,0));
      break;
    case 6: // blue
      intensity=10;
      pixels.setPixelColor(i, pixels.Color(0,0,intensity*i+intensity)); 
      break;
    case 7: // white
      intensity=10;
      pixels.setPixelColor(i, pixels.Color(intensity*i+intensity,intensity*i+intensity,intensity*i+intensity));
      break;

    case 8: // red
      intensity=20;
      pixels.setPixelColor(i, pixels.Color(intensity*i+intensity,0,0));
      break;
    case 9: // green
      intensity=20;
      pixels.setPixelColor(i, pixels.Color(0,intensity*i+intensity,0));
      break;
    case 10: // blue
      intensity=20;
      pixels.setPixelColor(i, pixels.Color(0,0,intensity*i+intensity)); 
      break;
    case 11: // white
      intensity=20;
      pixels.setPixelColor(i, pixels.Color(intensity*i+intensity,intensity*i+intensity,intensity*i+intensity));
      break;
    }  
  pixels.show(); // This sends the updated pixel color to the hardware.
  delay(delayval); // Delay for a period of time (in milliseconds).
  }
  
for(int i=0;i<NUMPIXELS;i++)
  {
  // pixels.Color takes RGB values, from 0,0,0 up to 255,255,255
  pixels.setPixelColor(i, pixels.Color(0,0,0)); // Black
  pixels.show(); // This sends the updated pixel color to the hardware.
  delay(delayval); // Delay for a period of time (in milliseconds).
  }
state++;
if(state>11)
  state=0;
}
